Bug 426324 - libvirt mis-detects hypervisor version for NUMA apis
libvirt mis-detects hypervisor version for NUMA apis
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
Depends On: 235848 235850 426321 426322
  Show dependency treegraph
Reported: 2007-12-19 20:34 EST by Daniel Berrange
Modified: 2009-12-14 16:16 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0291
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 12:47:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to unconditionally try to get NUMA info (2.79 KB, patch)
2007-12-19 20:35 EST, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2007-12-19 20:34:29 EST
Description of problem:
The RHEL5 Xen 3.1.0 hypervisor contains back-ports of the NUMA capabilities from
Xen 3.2.0.  The SYSCTL hypercall version in Xen 3.1.0 is '3', while the version
in Xen 3.2.0 is '4' (or later).

When deciding whether to try the NUMA 'freecell' operation, libvirt sees the
hypercall version '3' and immediately exits without even trying. To work with
the backport, it needs to unconditionally try the hypercall and gracefull deal
with it failing.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Daniel Berrange 2007-12-19 20:35:05 EST
Created attachment 290088 [details]
Patch to unconditionally try to get NUMA info
Comment 2 Daniel Berrange 2007-12-19 20:38:04 EST
Currently when run on an new hypervisor it shows:

# virsh freecell
libvir: Remote error : Connection refused
libvir: warning : Failed to find the network: Is the daemon running ?
libvir: Xen error : failed Xen syscall xenHypervisorNodeGetCellsFreeMemory:
unsupported in sys interface < 4 0

The expected output is:

# virsh freecell
0: 129261568 kB

The patch just attached makes this work

CF, bug 235850  and bug 426321  for the kernel-xen and xen changes required to
test this issue.
Comment 3 Daniel Berrange 2007-12-19 20:41:31 EST
This is also required to support NUMA topology via the 'virsh capbilities'
command for same reasons.
Comment 4 Bill Burns 2007-12-20 09:33:35 EST
Dev acking the clone.
Comment 5 RHEL Product and Program Management 2007-12-20 09:34:35 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 7 Daniel Veillard 2008-01-08 22:13:12 EST
libvirt-0.3.3-3.el5 has been rebuilt in dist-5E-qu-candidate with the fix,
Comment 10 errata-xmlrpc 2008-05-21 12:47:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.